Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom.events
Class MutationEventImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.events.EventImpl
            |
            +--weblogic.apache.xerces.dom.events.MutationEventImpl

public class MutationEventImpl
extends EventImpl
implements org.w3c.dom.events.MutationEvent

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DOM_ATTR_MODIFIED`
`static java.lang.String` | `DOM_CHARACTER_DATA_MODIFIED`
`static java.lang.String` | `DOM_NODE_INSERTED`
`static java.lang.String` | `DOM_NODE_INSERTED_INTO_DOCUMENT`
`static java.lang.String` | `DOM_NODE_REMOVED`
`static java.lang.String` | `DOM_NODE_REMOVED_FROM_DOCUMENT`
`static java.lang.String` | `DOM_SUBTREE_MODIFIED`

Fields inherited from class weblogic.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentNode, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Constructor Summary
`MutationEventImpl()`

Method Summary
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getNewValue()`
`java.lang.String` | `getPrevValue()`
`org.w3c.dom.Node` | `getRelatedNode()`
`void` | `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg)` Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.

Methods inherited from class weblogic.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentNode, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_SUBTREE_MODIFIED

    public static final java.lang.String DOM_SUBTREE_MODIFIED

### DOM_NODE_INSERTED

    public static final java.lang.String DOM_NODE_INSERTED

### DOM_NODE_REMOVED

    public static final java.lang.String DOM_NODE_REMOVED

### DOM_NODE_REMOVED_FROM_DOCUMENT

    public static final java.lang.String DOM_NODE_REMOVED_FROM_DOCUMENT

### DOM_NODE_INSERTED_INTO_DOCUMENT

    public static final java.lang.String DOM_NODE_INSERTED_INTO_DOCUMENT

### DOM_ATTR_MODIFIED

    public static final java.lang.String DOM_ATTR_MODIFIED

### DOM_CHARACTER_DATA_MODIFIED

    public static final java.lang.String DOM_CHARACTER_DATA_MODIFIED

Constructor Detail

### MutationEventImpl

    public MutationEventImpl()

Method Detail

### getAttrName

    public java.lang.String getAttrName()

  Specified by:
    getAttrName in interface org.w3c.dom.events.MutationEvent

  Returns:
    the name of the Attr which changed, for DOMAttrModified events. Undefined for others.

### getNewValue

    public java.lang.String getNewValue()

  Specified by:
    getNewValue in interface org.w3c.dom.events.MutationEvent

  Returns:
    the new string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getPrevValue

    public java.lang.String getPrevValue()

  Specified by:
    getPrevValue in interface org.w3c.dom.events.MutationEvent

  Returns:
    the previous string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  Specified by:
    getRelatedNode in interface org.w3c.dom.events.MutationEvent

  Returns:
    a Node related to this event, other than the target that the node was dispatched to. For DOMNodeRemoved, it is the node which was removed. No other uses are currently defined.

### initMutationEvent

    public void initMutationEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  org.w3c.dom.Node relatedNodeArg,
                                  java.lang.String prevValueArg,
                                  java.lang.String newValueArg,
                                  java.lang.String attrNameArg)

  Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.
  Specified by:
    initMutationEvent in interface org.w3c.dom.events.MutationEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD